/***************************************************************************
****************************************************************************

This is a part of the xModule Source code.

Copyright (C) 2003-2009 The LS-Universe Team

    Homepage: http://www.ls-universe.info

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

****************************************************************************
****************************************************************************/

#include "stdafx.h"
#include "GhostButton.h"

//////////////////////////////////////////////////////////////////////
// Konstruktion/Destruktion
//////////////////////////////////////////////////////////////////////

GhostButton::GhostButton() :
    bOnTop(false),
    strConditional(""),
    bDoPaint(true),
    pNormalButtonTexture(NULL),
    pHoverButtonTexture(NULL),
    pHiddenButtonTexture(NULL)
{
    pNormalButtonTexture = Create_xTextureClass();
    pHoverButtonTexture = Create_xTextureClass();
    pHiddenButtonTexture = Create_xTextureClass();
}

GhostButton::~GhostButton()
{
    if (pNormalButtonTexture)
        Destroy_xTextureClass(pNormalButtonTexture);
    if (pHoverButtonTexture)
        Destroy_xTextureClass(pHoverButtonTexture);
    if (pHiddenButtonTexture)
        Destroy_xTextureClass(pHiddenButtonTexture);

    pNormalButtonTexture = NULL;
    pHoverButtonTexture = NULL;
    pHiddenButtonTexture = NULL;
}
